<?php


declare(strict_types=1);

if (ob_get_level() === 0) {
    ob_start();
}

use App\Core\Application;

define('BASE_PATH', dirname(__DIR__));
define('APP_PATH', BASE_PATH . '/app');
define('CONFIG_PATH', BASE_PATH . '/config');
define('PUBLIC_PATH', __DIR__);
define('STORAGE_PATH', BASE_PATH . '/storage');
define('PHPMAILER_PATH', BASE_PATH . '/PHPMailer-master');
define('QRCODE_PATH',BASE_PATH . '/phpqrcode');
define('DOMPDF_PATH', BASE_PATH . '/dompdf-master');

require BASE_PATH . '/bootstrap.php';

$app = new Application();

require CONFIG_PATH . '/routes.php';

$app->run();